1 - 1.3
get /v1/vpcs
Description
VPC 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | name optional | VPC 명 Example : vpcName | any of [string, null] | None |
| query | state optional | 상태 Example : | enum (CREATING, ACTIVE, DELETED, ERROR) | None |
| query | cidr optional | VPC Cidr Example : 192.167.0.0/18 | any of [string, null] | None |
| query | zone optional | Zone Example : kr-west1-a | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcListResponseV1Dot3 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpcs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.3"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"vpcs": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr_count": 20,
"cidrs": [
{
"cidr": "192.167.0.0/18",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "7df8abb4912e4709b1cb237daccca7a8",
"id": "7df8abb4912e4709b1cb237daccca7a8"
}
],
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vpcDescription",
"id": "7df8abb4912e4709b1cb237daccca7a8",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "vpcName",
"state": "CREATING",
"zone_type": "PUBLIC",
"zones": [
"zone-a",
"zone-b",
"zone-c"
]
}
]
}
2 - 1.2
get /v1/vpcs
Description
VPC 목록을 조회한다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | name optional | VPC 명 Example : vpcName | any of [string, null] | None |
| query | state optional | 상태 Example : | enum (CREATING, ACTIVE, DELETED, ERROR) | None |
| query | cidr optional | VPC Cidr Example : 192.167.0.0/18 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcListResponseV1Dot2 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpcs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.2"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"vpcs": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr_count": 20,
"cidrs": [
{
"cidr": "192.167.0.0/18",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "7df8abb4912e4709b1cb237daccca7a8",
"id": "7df8abb4912e4709b1cb237daccca7a8"
}
],
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vpcDescription",
"id": "7df8abb4912e4709b1cb237daccca7a8",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "vpcName",
"state": "CREATING"
}
]
}
3 - 1.1
get /v1/vpcs
Description
VPC 목록을 조회한다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | 한도 Example : 20 | any of [integer, null] | None |
| query | marker optional | 마커 Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | name optional | VPC 명 Example : vpcName | any of [string, null] | None |
| query | state optional | 상태 Example : | enum (CREATING, ACTIVE, DELETED, ERROR) | None |
| query | cidr optional | VPC Cidr Example : 192.167.0.0/18 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpcs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"vpcs": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr": "192.167.0.0/18",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vpcDescription",
"id": "7df8abb4912e4709b1cb237daccca7a8",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "vpcName",
"state": "CREATING"
}
]
}
4 - 1.0
get /v1/vpcs
Description
VPC 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | 한도 Example : 20 | any of [integer, null] | None |
| query | marker optional | 마커 Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | name optional | VPC 명 Example : vpcName | any of [string, null] | None |
| query | state optional | 상태 Example : | enum (CREATING, ACTIVE, DELETED, ERROR) | None |
| query | cidr optional | VPC Cidr Example : 192.167.0.0/18 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpcs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"vpcs": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr": "192.167.0.0/18",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vpcDescription",
"id": "7df8abb4912e4709b1cb237daccca7a8",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "vpcName",
"state": "CREATING"
}
]
}